import 'package:flutter/material.dart';

import '../../../../size_config.dart';
import '../../../../theme.dart';

class SectionTitle extends StatelessWidget {
  const SectionTitle({
    Key? key,
    required this.title,
    required this.press,
  }) : super(key: key);

  final String title;
  final GestureTapCallback press;

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        Text(
          title,
          style: thirdTextStyle.copyWith(
              letterSpacing: 1,
              fontSize: getProportionateScreenWidth(15),
              fontWeight: semiBold),
        ),
        GestureDetector(
          onTap: press,
          child: Text(
            "Lihat Semua",
            style: thirdTextStyle.copyWith(
                letterSpacing: 0.5,
                fontSize: getProportionateScreenWidth(11),
                fontWeight: reguler),
          ),
        ),
      ],
    );
  }
}
